# 环境配置
server:
  port: 9016
  servlet:
    context-path: /api/kuaikeli

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false      # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# dingtalk
dingtalk:
  agentId: 2737389469
  appKey: dingbdo9neuaibv5yjzb
  appSecret: Gqy7vUkifTDQMCy5kQH8NaNVu1JepPr0Ci66XX5PiNts_mo6kNJEzYPumf3WcnmF
  corpId: ding7071108579851504f5bf40eda33b7ba0
  aesKey:
  token:
  robotCode:
  operator: ""   # 管理员 [开头0, 需要转一下字符串]

# aliwork
aliwork:
  appType: APP_OHSG8KMIP9SGXV32XUQJ
  systemToken: 9F766B81QHGDDLQ89X17X5GXVPYM20V729KLLPH
